petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMGetRegionDS

Get the PetscDS for a given mesh region, defined by a DMLabel

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMGetRegionDS(DM dm, DMLabel label, IS *fields, PetscDS *ds)

Not collective

### Input Parameters

| dm | - The DM
| label | - The DMLabel defining the mesh region, or NULL for the entire mesh

### Output Parameters

| fields | - The IS containing the DM field numbers for the fields in this DS, or NULL
| prob | - The PetscDS defined on the given region, or NULL

Note: If the label is missing, this function returns an error

### See Also

DMGetRegionNumDS(), DMSetRegionDS(), DMGetDS(), DMGetCellDS()

### Level

advanced

### Location

src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages